const express = require("express");
const mysql = require("mysql2");
const sqlCon = require("../db/sqlConnect")
const router = express.Router();

let query = "'nba'; Delete...."
query = mysql.escape(query)
console.log(query);

router.get("/", async(req,res) => {
  // ?perPage = 
  const perPage = Number(req.query.perPage) || 5;
  const page = Number(req.query.page - 1) || 0;
  const skip = page * perPage;
  const category = mysql.escape(req.query.category);

  let where = "";
  if(category != "NULL"){
    where += `WHERE sports = ${category}`
  }

  const myQuery = `SELECT * FROM players ${where} LIMIT ${skip},${perPage}`;
  sqlCon.query(myQuery, (err,results,fields) => {
    if(err){return res.status(502).json({err})}
    // res.json({results,fields});
    res.json(results);
  })

})

router.post("/",async(req,res) => {
  // req.body.name = mysql.escape(req.body.name)
  const myQuery = `INSERT INTO players 
  VALUES (null,?,?,?)`
  const {name,birth_year,sports} = req.body;
  sqlCon.query(myQuery, [name,birth_year,sports] , (err,results,fields) => {
    if(err){return res.status(502).json({err})}
    // res.json({results,fields});
    res.json(results);
  })
})

router.put("/:id",async(req,res) => {
  const id = Number(req.params.id);
  const myQuery = `UPDATE players SET name = ? , birth_year = ? , sports = ? WHERE id = ${id}`
  const {name,birth_year,sports} = req.body;
  sqlCon.query(myQuery, [name,birth_year,sports] , (err,results,fields) => {
    if(err){return res.status(502).json({err})}
    // res.json({results,fields});
    res.json(results);
  })
})

router.delete("/:id", async(req,res) => {
  const id = Number(req.params.id);
  const myQuery = `DELETE FROM players WHERE id = ${id}`;
  sqlCon.query(myQuery , (err,results,fields) => {
    if(err){return res.status(502).json({err})}
    // res.json({results,fields});
    res.json(results);
  })
})

module.exports = router;